/**
 * @(#)SWFGetURLAction.java
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/4
 */
package	jp.co.iti.swf;

import	java.io.*;

/**
 * SWF ACTION TAG(ID=12)のActionRecordのGetURLアクションを表す。
 */
public class SWFGetURLAction extends SWFActionRecord{
	private	String	myURL;
	private	String	myTarget;
	
	public	SWFGetURLAction(int code ,byte[] data) throws SWFActionRecordException{
		super(code ,data);
		
		SWFInputStream swfstream = new SWFInputStream(new ByteArrayInputStream(data));
		try{
			try{
				myURL		= swfstream.readString();
				myTarget	= swfstream.readString();
			}finally{ swfstream.close(); }
		}catch(IOException e){ throw new SWFActionRecordException(); }
	}
	
	public	String	getURL(){		return myURL; }
	public	String	getTarget(){	return myTarget; }
	
	/**
	 * このインスタンスの文字列表現を得る。
	 * @return	このインスタンスの文字列表現。
	 * @since	1.00
	 */
	public String toString(){ return "URL="+myURL+" Target="+myTarget; }
}
